# TdApi.MessageExtendedMediaPreview (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageExtendedMediaPreview

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageExtendedMediaPreview

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageExtendedMedia
it.tdlight.jni.TdApi.MessageExtendedMediaPreview

Enclosing class:
  TdApi

public static final class TdApi.MessageExtendedMediaPreview extends TdApi.MessageExtendedMedia
The media is hidden until the invoice is paid.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.FormattedText`
`caption`
Media caption.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Media duration; 0 if unknown.
`int`
`height`
Media height; 0 if unknown.
`TdApi.Minithumbnail`
`minithumbnail`
Media minithumbnail; may be null.
`int`
`width`
Media width; 0 if unknown.

## Constructor Summary

Constructors
Constructor
Description
`MessageExtendedMediaPreview()`
The media is hidden until the invoice is paid.
`MessageExtendedMediaPreview(int width, int height, int duration, TdApi.Minithumbnail minithumbnail, TdApi.FormattedText caption)`
The media is hidden until the invoice is paid.
`MessageExtendedMediaPreview(DataInput input)`
The media is hidden until the invoice is paid.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### width

public int width
Media width; 0 if unknown.

### height

public int height
Media height; 0 if unknown.

### duration

public int duration
Media duration; 0 if unknown.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Media minithumbnail; may be null.

### caption

public TdApi.FormattedText caption
Media caption.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageExtendedMediaPreview

public MessageExtendedMediaPreview()
The media is hidden until the invoice is paid.

### MessageExtendedMediaPreview

public MessageExtendedMediaPreview(int width, int height, int duration, TdApi.Minithumbnail minithumbnail, TdApi.FormattedText caption)
The media is hidden until the invoice is paid.

Parameters:
  `width` - Media width; 0 if unknown.
  `height` - Media height; 0 if unknown.
  `duration` - Media duration; 0 if unknown.
  `minithumbnail` - Media minithumbnail; may be null.
  `caption` - Media caption.

### MessageExtendedMediaPreview

public MessageExtendedMediaPreview(DataInput input) throws IOException
The media is hidden until the invoice is paid.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`